Package org.linphone.core

# Enum Class Recorder.State

java.lang.Object
java.lang.Enum<Recorder.State>
org.linphone.core.Recorder.State

All Implemented Interfaces:
  `Serializable`, `Comparable<Recorder.State>`, `Constable`

Enclosing interface:
  Recorder

public static enum Recorder.State extends Enum<Recorder.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Closed`
No file is opened for recording.
`Paused`
The recorder is paused.
`Running`
The recorder is running.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Recorder.State`
`fromInt(int value)`
`int`
`toInt()`
`static Recorder.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Recorder.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Closed

public static final Recorder.State Closed
No file is opened for recording.

### Paused

public static final Recorder.State Paused
The recorder is paused.

### Running

public static final Recorder.State Running
The recorder is running.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Recorder.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Recorder.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Recorder.State fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()